package com.ez.ertc.meeting.contract;

import com.ez.ertc.meeting.base.YsBasePresenter;
import com.ez.ertc.meeting.base.YsBaseView;

/**
 * @author xiezuoyuan
 * @time 2020/5/8 15:22
 */
public interface JoinMeetingContract {

    interface View extends YsBaseView<Presenter> {
        boolean isAudioOn();
        boolean isVideoOn();
        void switchAudio(boolean checked);
        void switchVideo(boolean checked);
        String getUserId();
        String getRoomNo();
        void setUserId(String userId);
        void setRoomNo(String roomNo);
        void enter(String ertcToken);
    }

    interface Presenter extends YsBasePresenter {
        void onEnter();
    }
}
